OJMoqMock Class Reference

List of all members.

## Public Member Functions

(CPArray selectors) | - accessors`[implementation]`
(OJMoqSelector) | - findOrCreateSelector:withArguments:`[implementation]`
(void) | - forwardInvocation:`[implementation]`
(id) | - initWithBaseObject:`[implementation]`
(CPMethodSignature) | - methodSignatureForSelector:`[implementation]`
(BOOL) | - respondsToSelector:`[implementation]`
(void) | - selector:callback:`[implementation]`
(void) | - selector:callback:arguments:`[implementation]`
(void) | - selector:returns:`[implementation]`
(void) | - selector:returns:arguments:`[implementation]`
(void) | - selector:times:`[implementation]`
(void) | - selector:times:arguments:`[implementation]`
(void) | - verifyThatAllExpectationsHaveBeenMet`[implementation]`

## Detailed Description

Definition at line 10 of file OJMoqMock.j.

## Member Function Documentation

- (CPArray selectors) accessors |  |  | `[implementation]`

Definition at line 14 of file OJMoqMock.j.

- (OJMoqSelector) findOrCreateSelector: |  | (SEL) | aSelector
withArguments: |  | (CPArray) | arguments
|  |  | `[implementation]`

Definition at line 65 of file OJMoqMock.j.

- (void) forwardInvocation: |  | (CPInvocation) | anInvocation | `[implementation]`

Definition at line 91 of file OJMoqMock.j.

- (id) initWithBaseObject: |  | (id) | aBaseObject | `[implementation]`

Definition at line 17 of file OJMoqMock.j.

- (CPMethodSignature) methodSignatureForSelector: |  | (SEL) | aSelector | `[implementation]`

Definition at line 85 of file OJMoqMock.j.

- (BOOL) respondsToSelector: |  | (SEL) | aSelector | `[implementation]`

Definition at line 115 of file OJMoqMock.j.

- (void) selector: |  | (SEL) | aSelector
callback: |  | (Function) | callback
|  |  | `[implementation]`

Definition at line 50 of file OJMoqMock.j.

- (void) selector: |  | (SEL) | aSelector
callback: |  | (Function) | callback
arguments: |  | (CPArray) | arguments
|  |  | `[implementation]`

Definition at line 55 of file OJMoqMock.j.

- (void) selector: |  | (SEL) | aSelector
returns: |  | (id) | returnValue
|  |  | `[implementation]`

Definition at line 40 of file OJMoqMock.j.

- (void) selector: |  | (SEL) | aSelector
returns: |  | (id) | returnValue
arguments: |  | (CPArray) | arguments
|  |  | `[implementation]`

Definition at line 45 of file OJMoqMock.j.

- (void) selector: |  | (SEL) | aSelector
times: |  | (CPNumber) | times
|  |  | `[implementation]`

Definition at line 29 of file OJMoqMock.j.

- (void) selector: |  | (SEL) | aSelector
times: |  | (CPNumber) | times
arguments: |  | (CPArray) | arguments
|  |  | `[implementation]`

Definition at line 34 of file OJMoqMock.j.

- (void) verifyThatAllExpectationsHaveBeenMet |  |  | `[implementation]`

Definition at line 60 of file OJMoqMock.j.

The documentation for this class was generated from the following file:

- Frameworks/OJMoq/OJMoqMock.j

All Classes Files Functions Variables